Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.devices.getCellularGatewayLan({
serial: "string",
});
export const merakiDevicesCellularGatewayLanExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.devices.get_cellular_gateway_lan(serial="string")
pulumi.export("merakiDevicesCellularGatewayLanExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/devices"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := devices.LookupCellularGatewayLan(ctx, &devices.LookupCellularGatewayLanArgs{
Serial: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiDevicesCellularGatewayLanExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Devices.GetCellularGatewayLan.Invoke(new()
{
Serial = "string",
});
return new Dictionary<string, object?>
{
["merakiDevicesCellularGatewayLanExample"] = example.Apply(getCellularGatewayLanResult => getCellularGatewayLanResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.devices.DevicesFunctions;
import com.pulumi.meraki.devices.inputs.GetCellularGatewayLanArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = DevicesFunctions.getCellularGatewayLan(GetCellularGatewayLanArgs.builder()
.serial("string")
.build());
ctx.export("merakiDevicesCellularGatewayLanExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:devices:getCellularGatewayLan
arguments:
serial: string
outputs:
merakiDevicesCellularGatewayLanExample: ${example.item}
Using getCellularGatewayLan
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getCellularGatewayLan(args: GetCellularGatewayLanArgs, opts?: InvokeOptions): Promise<GetCellularGatewayLanResult>
function getCellularGatewayLanOutput(args: GetCellularGatewayLanOutputArgs, opts?: InvokeOptions): Output<GetCellularGatewayLanResult>def get_cellular_gateway_lan(serial: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetCellularGatewayLanResult
def get_cellular_gateway_lan_output(serial: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetCellularGatewayLanResult]func LookupCellularGatewayLan(ctx *Context, args *LookupCellularGatewayLanArgs, opts ...InvokeOption) (*LookupCellularGatewayLanResult, error)
func LookupCellularGatewayLanOutput(ctx *Context, args *LookupCellularGatewayLanOutputArgs, opts ...InvokeOption) LookupCellularGatewayLanResultOutput> Note: This function is named LookupCellularGatewayLan in the Go SDK.
public static class GetCellularGatewayLan
{
public static Task<GetCellularGatewayLanResult> InvokeAsync(GetCellularGatewayLanArgs args, InvokeOptions? opts = null)
public static Output<GetCellularGatewayLanResult> Invoke(GetCellularGatewayLanInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetCellularGatewayLanResult> getCellularGatewayLan(GetCellularGatewayLanArgs args, InvokeOptions options)
public static Output<GetCellularGatewayLanResult> getCellularGatewayLan(GetCellularGatewayLanArgs args, InvokeOptions options)
fn::invoke:
function: meraki:devices/getCellularGatewayLan:getCellularGatewayLan
arguments:
# arguments dictionaryThe following arguments are supported:
- Serial string
- serial path parameter.
- Serial string
- serial path parameter.
- serial String
- serial path parameter.
- serial string
- serial path parameter.
- serial str
- serial path parameter.
- serial String
- serial path parameter.
getCellularGatewayLan Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Cellular Gateway Lan Item - Serial string
- serial path parameter.
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Cellular Gateway Lan Item - Serial string
- serial path parameter.
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Cellular Gateway Lan Item - serial String
- serial path parameter.
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Cellular Gateway Lan Item - serial string
- serial path parameter.
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Cellular Gateway Lan Item - serial str
- serial path parameter.
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- serial String
- serial path parameter.
Supporting Types
GetCellularGatewayLanItem
- Device
Lan stringIp - Lan IP of the MG
- Device
Name string - Name of the MG.
- Device
Subnet string - Subnet configuration of the MG.
- Fixed
Ip List<GetAssignments Cellular Gateway Lan Item Fixed Ip Assignment> - list of all fixed IP assignments for a single MG
- Reserved
Ip List<GetRanges Cellular Gateway Lan Item Reserved Ip Range> - list of all reserved IP ranges for a single MG
- Device
Lan stringIp - Lan IP of the MG
- Device
Name string - Name of the MG.
- Device
Subnet string - Subnet configuration of the MG.
- Fixed
Ip []GetAssignments Cellular Gateway Lan Item Fixed Ip Assignment - list of all fixed IP assignments for a single MG
- Reserved
Ip []GetRanges Cellular Gateway Lan Item Reserved Ip Range - list of all reserved IP ranges for a single MG
- device
Lan StringIp - Lan IP of the MG
- device
Name String - Name of the MG.
- device
Subnet String - Subnet configuration of the MG.
- fixed
Ip List<GetAssignments Cellular Gateway Lan Item Fixed Ip Assignment> - list of all fixed IP assignments for a single MG
- reserved
Ip List<GetRanges Cellular Gateway Lan Item Reserved Ip Range> - list of all reserved IP ranges for a single MG
- device
Lan stringIp - Lan IP of the MG
- device
Name string - Name of the MG.
- device
Subnet string - Subnet configuration of the MG.
- fixed
Ip GetAssignments Cellular Gateway Lan Item Fixed Ip Assignment[] - list of all fixed IP assignments for a single MG
- reserved
Ip GetRanges Cellular Gateway Lan Item Reserved Ip Range[] - list of all reserved IP ranges for a single MG
- device_
lan_ strip - Lan IP of the MG
- device_
name str - Name of the MG.
- device_
subnet str - Subnet configuration of the MG.
- fixed_
ip_ Sequence[Getassignments Cellular Gateway Lan Item Fixed Ip Assignment] - list of all fixed IP assignments for a single MG
- reserved_
ip_ Sequence[Getranges Cellular Gateway Lan Item Reserved Ip Range] - list of all reserved IP ranges for a single MG
- device
Lan StringIp - Lan IP of the MG
- device
Name String - Name of the MG.
- device
Subnet String - Subnet configuration of the MG.
- fixed
Ip List<Property Map>Assignments - list of all fixed IP assignments for a single MG
- reserved
Ip List<Property Map>Ranges - list of all reserved IP ranges for a single MG
GetCellularGatewayLanItemFixedIpAssignment
GetCellularGatewayLanItemReservedIpRange
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
